Package org.opensaml.saml.common.xml

# Class SAMLConstants

java.lang.Object
org.opensaml.saml.common.xml.SAMLConstants

public final class SAMLConstants extends Object
XML related constants used in the SAML specifications.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GET_METHOD`
HTTP Method - GET.
`static final String`
`PAOS_NS`
Liberty PAOS XML Namespace.
`static final String`
`PAOS_PREFIX`
Liberty PAOS QName prefix.
`static final String`
`POST_METHOD`
HTTP Request Method - POST.
`static final String`
`SAML_IDP_DISCO_NS`
SAML Identity Provider Discovery Protocol and Profile XML Namespace.
`static final String`
`SAML_IDP_DISCO_PREFIX`
SAML Identity Provider Discovery Protocol and Profile QName prefix.
`static final String`
`SAML_IDP_DISCO_SCHEMA_LOCATION`
SAML Identity Provider Discovery Protocol and Profile XML Schema Id.
`static final String`
`SAML1_ARTIFACT_BINDING_URI`
URI for SAML 1 Artifact binding.
`static final String`
`SAML1_NS`
SAML 1.X XML namespace.
`static final String`
`SAML1_POST_BINDING_URI`
URI for SAML 1 POST binding.
`static final String`
`SAML1_PREFIX`
SAML 1.X Assertion QName prefix.
`static final String`
`SAML1_SOAP11_BINDING_URI`
URI for SAML 1 SOAP 1.1 binding.
`static final String`
`SAML10_SCHEMA_LOCATION`
SAML 1.0 Assertion schema system Id.
`static final String`
`SAML10P_NS`
SAML 1.X protocol XML namespace.
`static final String`
`SAML10P_SCHEMA_LOCATION`
SAML 1.0 Protocol schema system Id.
`static final String`
`SAML11_SCHEMA_LOCATION`
SAML 1.1 Assertion schema system Id.
`static final String`
`SAML11P_NS`
SAML 1.1 protocol XML namespace, used only in SAML 2 metadata protocolSupportEnumeration.
`static final String`
`SAML11P_SCHEMA_LOCATION`
SAML 1.1 Protocol schema system Id.
`static final String`
`SAML1MD_NS`
SAML 1 Metadata extension XML namespace.
`static final String`
`SAML1MD_PREFIX`
SAML 1 Metadata extension namespace prefix.
`static final String`
`SAML1MD_SCHEMA_LOCATION`
SAML 1 Metadata extension schema system Id.
`static final String`
`SAML1P_PREFIX`
SAML 1.X Protocol QName prefix.
`static final String`
`SAML2_ARTIFACT_BINDING_URI`
URI for SAML 2 Artifact binding.
`static final String`
`SAML2_BINDING_URL_ENCODING_DEFLATE_URI`
URI for SAML 2 binding URL encoding DEFLATE method.
`static final String`
`SAML2_PAOS_BINDING_URI`
URI for SAML 2 PAOS binding.
`static final String`
`SAML2_POST_BINDING_URI`
URI for SAML 2 POST binding.
`static final String`
`SAML2_POST_SIMPLE_SIGN_BINDING_URI`
URI for SAML 2 POST-SimpleSign binding.
`static final String`
`SAML2_REDIRECT_BINDING_URI`
URI for SAML 2 HTTP redirect binding.
`static final String`
`SAML2_SOAP11_BINDING_URI`
URI for SAML 2 SOAP binding.
`static final String`
`SAML20_NS`
SAML 2.0 Assertion XML Namespace.
`static final String`
`SAML20_PREFIX`
SAML 2.0 Assertion QName prefix.
`static final String`
`SAML20_SCHEMA_LOCATION`
SAML 2.0 Assertion schema Id.
`static final String`
`SAML20AC_NS`
SAML 2.0 Authentication Context XML Namespace.
`static final String`
`SAML20AC_PREFIX`
SAML 2.0 Authentication Context QName prefix.
`static final String`
`SAML20AC_SCHEMA_LOCATION`
SAML 2.0 Authentication Context schema Id.
`static final String`
`SAML20ALG_NS`
SAML 2.0 Metadata Profile for Algorithm Support Namespace.
`static final String`
`SAML20ALG_PREFIX`
SAML 2.0 Metadata Profile for Algorithm Support QName prefix.
`static final String`
`SAML20ALG_SCHEMA_LOCATION`
SAML 2.0 Metadata Profile for Algorithm Support schema Id.
`static final String`
`SAML20CB_NS`
SAML 2.0 Channel Binding Extensions XML Namespace.
`static final String`
`SAML20CB_PREFIX`
SAML 2.0 Channel Binding Extensions QName prefix.
`static final String`
`SAML20CB_SCHEMA_LOCATION`
SAML 2.0 Channel Binding Extensions schema Id.
`static final String`
`SAML20DCE_NS`
SAML 2.0 DCE PAC Attribute Profile XML Namespace.
`static final String`
`SAML20DCE_PREFIX`
SAML 2.0 DCE PAC Attribute Profile QName prefix.
`static final String`
`SAML20DCE_SCHEMA_LOCATION`
SAML 2.0 DCE PAC Attribute Profile schema Id.
`static final String`
`SAML20DEL_NS`
SAML 2.0 Condition for Delegation Restriction XML Namespace.
`static final String`
`SAML20DEL_PREFIX`
SAML 2.0 Condition for Delegation Restriction QName prefix.
`static final String`
`SAML20DEL_SCHEMA_LOCATION`
SAML 2.0 Condition for Delegation Restriction schema Id.
`static final String`
`SAML20ECP_NS`
SAML 2.0 Enhanced Client/Proxy SSO Profile XML Namespace.
`static final String`
`SAML20ECP_PREFIX`
SAML 2.0 Enhanced Client/Proxy SSO Profile QName prefix.
`static final String`
`SAML20ECP_SCHEMA_LOCATION`
SAML 2.0 Enhanced Client/Proxy SSO Profile schema Id.
`static final String`
`SAML20MD_NS`
SAML 2.0 Metadata XML Namespace.
`static final String`
`SAML20MD_PREFIX`
SAML 2.0 Metadata QName prefix.
`static final String`
`SAML20MD_SCHEMA_LOCATION`
SAML 2.0 Metadata schema Id.
`static final String`
`SAML20MDATTR_NS`
SAML 2.0 Metadata Extension for Entity Attributes XML Namespace.
`static final String`
`SAML20MDATTR_PREFIX`
SAML 2.0 Metadata Extension for Entity Attributes QName prefix.
`static final String`
`SAML20MDATTR_SCHEMA_LOCATION`
SAML 2.0 Metadata Extension for Entity Attributes schema Id.
`static final String`
`SAML20MDQUERY_NS`
SAML 2.0 Standalone Query Metadata extension XML namespace.
`static final String`
`SAML20MDQUERY_PREFIX`
SAML 2.0 Standalone Query Metadata extension prefix.
`static final String`
`SAML20MDQUERY_SCHEMA_LOCATION`
SAML 2.0 Standalone Query Metadata extension schema system Id.
`static final String`
`SAML20MDRI_NS`
SAML 2.0 Metadata Extension for SSO Service Provider Request Initiation Namespace.
`static final String`
`SAML20MDRI_PREFIX`
SAML 2.0 Metadata Extension for SSO Service Provider Request Initiation QName prefix.
`static final String`
`SAML20MDRPI_NS`
SAML 2.0 Metadata Extension for Registration and Publication Information XML Namespace.
`static final String`
`SAML20MDRPI_PREFIX`
SAML 2.0 Metadata Extension for Registration and Publication Information QName prefix.
`static final String`
`SAML20MDRPI_SCHEMA_LOCATION`
SAML 2.0 Metadata Extension for Registration and Publication Information schema Id.
`static final String`
`SAML20MDUI_NS`
SAML 2.0 Metadata Extension for Discovery and Login UI XML Namespace.
`static final String`
`SAML20MDUI_PREFIX`
SAML 2.0 Metadata Extension for Discovery and Login UI QName prefix.
`static final String`
`SAML20MDUI_SCHEMA_LOCATION`
SAML 2.0 Metadata Extension for Discovery and Login UI schema Id.
`static final String`
`SAML20P_NS`
SAML 2.0 Protocol XML Namespace.
`static final String`
`SAML20P_PREFIX`
SAML 2.0 Protocol QName prefix.
`static final String`
`SAML20P_SCHEMA_LOCATION`
SAML 2.0 Protocol schema Id.
`static final String`
`SAML20PASLO_NS`
SAML 2.0 Protocol Async Logout extension XML Namespace.
`static final String`
`SAML20PASLO_PREFIX`
SAML 2.0 Protocol Async Logout extension QName prefix.
`static final String`
`SAML20PASLO_SCHEMA_LOCATION`
SAML 2.0 Protocol Async Logout extension schema Id.
`static final String`
`SAML20PREQ_ATTR_NS`
SAML SAML V2.0 "Protocol Extension For Requesting Attributes Per Request" namespace.
`static final String`
`SAML20PREQ_ATTRR_PREFIX`
SAML SAML V2.0 "Protocol Extension For Requesting Attributes Per Request" prefix.
`static final String`
`SAML20PTHRPTY_NS`
SAML 2.0 Protocol Third-party extension XML Namespace.
`static final String`
`SAML20PTHRPTY_PREFIX`
SAML 2.0 Protocol Third-party extension QName prefix.
`static final String`
`SAML20PTHRPTY_SCHEMA_LOCATION`
SAML 2.0 Protocol Third-party extension schema Id.
`static final String`
`SAML20X500_NS`
SAML 2.0 X.500 Attribute Profile XML Namespace.
`static final String`
`SAML20X500_PREFIX`
SAML 2.0 X.500 Attribute Profile QName prefix.
`static final String`
`SAML20X500_SCHEMA_LOCATION`
SAML 2.0 X.500 Attribute Profile schema Id.
`static final String`
`SAML20XACML_NS`
SAML 2.0 XACML Attribute Profile XML Namespace.
`static final String`
`SAML20XACML_PREFIX`
SAML 2.0 XACML Attribute Profile QName prefix.
`static final String`
`SAML20XACML_SCHEMA_LOCATION`
SAML 2.0 XACML Attribute Profile schema Id.
`static final String`
`SAMLEC_GSS_NS`
SAML 2.0 Enhanced Client GSS-API XML Namespace.
`static final String`
`SAMLEC_GSS_PREFIX`
SAML 2.0 Enhanced Client GSS-API QName prefix.
`static final String`
`SAMLEC_GSS_SCHEMA_LOCATION`
SAML 2.0 Enhanced Client GSS-API schema Id.
`static final String`
`SCHEMA_DIR`
Directory, on the classpath, schemas are located in.
`static final String`
`SOAP11ENV_NS`
SOAP 1.1 Envelope XML namespace.
`static final String`
`SOAP11ENV_PREFIX`
SOAP 1.1 Envelope QName prefix.
`static final String`
`SOAP11ENV_SCHEMA_LOCATION`
SOAP 1.1 schema Id.
`static final String`
`STRICT_SAML20_SCHEMA_LOCATION`
"Strict" SAML 2.0 Assertion schema Id.
`static final String`
`STRICT_SAML20ALG_SCHEMA_LOCATION`
"Strict" SAML 2.0 Metadata Profile for Algorithm Support schema Id.
`static final String`
`STRICT_SAML20DCE_SCHEMA_LOCATION`
"Strict" SAML 2.0 DCE PAC Attribute Profile schema Id.
`static final String`
`STRICT_SAML20ECP_SCHEMA_LOCATION`
"Strict" SAML 2.0 Enhanced Client/Proxy SSO Profile schema Id.
`static final String`
`STRICT_SAML20MD_SCHEMA_LOCATION`
"Strict" SAML 2.0 Metadata schema Id.
`static final String`
`STRICT_SAML20MDQUERY_SCHEMA_LOCATION`
"Strict" SAML 2.0 Standalone Query Metadata extension schema system Id.
`static final String`
`STRICT_SAML20MDRPI_SCHEMA_LOCATION`
"Strict" SAML 2.0 Metadata Extension for Registration and Publication Information schema Id.
`static final String`
`STRICT_SAML20MDUI_SCHEMA_LOCATION`
"Strict" SAML 2.0 Metadata Extension for Discovery and Login UI schema Id.
`static final String`
`STRICT_SAML20P_SCHEMA_LOCATION`
"Strict" SAML 2.0 Protocol schema Id.
`static final String`
`STRICT_SAML20X500_SCHEMA_LOCATION`
"Strict" SAML 2.0 X.500 Attribute Profile schema Id.
`static final String`
`STRICT_SAML20XACML_SCHEMA_LOCATION`
"Strict" SAML 2.0 XACML Attribute Profile schema Id.
`static final String`
`XML_SCHEMA_LOCATION`
XML core schema system Id.
`static final String`
`XMLENC_SCHEMA_LOCATION`
XML Encryption schema Id.
`static final String`
`XMLENC11_SCHEMA_LOCATION`
XML Encryption 1.1 schema Id.
`static final String`
`XMLSIG_SCHEMA_LOCATION`
XML Signature schema Id.
`static final String`
`XMLSIG11_SCHEMA_LOCATION`
XML Signature 1.1 schema Id.
`static final String`
`XSD_SCHEMA_LOCATION`
XML Schema schema system Id.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SAMLConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### POST_METHOD

@Nonnull @NotEmpty public static final String POST_METHOD
HTTP Request Method - POST.

See Also:
  - Constant Field Values

### GET_METHOD

@Nonnull @NotEmpty public static final String GET_METHOD
HTTP Method - GET.

See Also:
  - Constant Field Values

### SCHEMA_DIR

@Nonnull @NotEmpty public static final String SCHEMA_DIR
Directory, on the classpath, schemas are located in.

See Also:
  - Constant Field Values

### XML_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String XML_SCHEMA_LOCATION
XML core schema system Id.

See Also:
  - Constant Field Values

### XSD_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String XSD_SCHEMA_LOCATION
XML Schema schema system Id.

See Also:
  - Constant Field Values

### XMLSIG_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String XMLSIG_SCHEMA_LOCATION
XML Signature schema Id.

See Also:
  - Constant Field Values

### XMLSIG11_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String XMLSIG11_SCHEMA_LOCATION
XML Signature 1.1 schema Id.

See Also:
  - Constant Field Values

### XMLENC_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String XMLENC_SCHEMA_LOCATION
XML Encryption schema Id.

See Also:
  - Constant Field Values

### XMLENC11_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String XMLENC11_SCHEMA_LOCATION
XML Encryption 1.1 schema Id.

See Also:
  - Constant Field Values

### SOAP11ENV_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SOAP11ENV_SCHEMA_LOCATION
SOAP 1.1 schema Id.

See Also:
  - Constant Field Values

### SOAP11ENV_NS

@Nonnull @NotEmpty public static final String SOAP11ENV_NS
SOAP 1.1 Envelope XML namespace.

See Also:
  - Constant Field Values

### SOAP11ENV_PREFIX

@Nonnull @NotEmpty public static final String SOAP11ENV_PREFIX
SOAP 1.1 Envelope QName prefix.

See Also:
  - Constant Field Values

### PAOS_NS

@Nonnull @NotEmpty public static final String PAOS_NS
Liberty PAOS XML Namespace.

See Also:
  - Constant Field Values

### PAOS_PREFIX

@Nonnull @NotEmpty public static final String PAOS_PREFIX
Liberty PAOS QName prefix.

See Also:
  - Constant Field Values

### SAML10_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML10_SCHEMA_LOCATION
SAML 1.0 Assertion schema system Id.

See Also:
  - Constant Field Values

### SAML11_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML11_SCHEMA_LOCATION
SAML 1.1 Assertion schema system Id.

See Also:
  - Constant Field Values

### SAML1_NS

@Nonnull @NotEmpty public static final String SAML1_NS
SAML 1.X XML namespace.

See Also:
  - Constant Field Values

### SAML10P_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML10P_SCHEMA_LOCATION
SAML 1.0 Protocol schema system Id.

See Also:
  - Constant Field Values

### SAML11P_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML11P_SCHEMA_LOCATION
SAML 1.1 Protocol schema system Id.

See Also:
  - Constant Field Values

### SAML10P_NS

@Nonnull @NotEmpty public static final String SAML10P_NS
SAML 1.X protocol XML namespace.

See Also:
  - Constant Field Values

### SAML11P_NS

@Nonnull @NotEmpty public static final String SAML11P_NS
SAML 1.1 protocol XML namespace, used only in SAML 2 metadata protocolSupportEnumeration.

See Also:
  - Constant Field Values

### SAML1P_PREFIX

@Nonnull @NotEmpty public static final String SAML1P_PREFIX
SAML 1.X Protocol QName prefix.

See Also:
  - Constant Field Values

### SAML1_PREFIX

@Nonnull @NotEmpty public static final String SAML1_PREFIX
SAML 1.X Assertion QName prefix.

See Also:
  - Constant Field Values

### SAML1MD_NS

@Nonnull @NotEmpty public static final String SAML1MD_NS
SAML 1 Metadata extension XML namespace.

See Also:
  - Constant Field Values

### SAML1MD_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML1MD_SCHEMA_LOCATION
SAML 1 Metadata extension schema system Id.

See Also:
  - Constant Field Values

### SAML1MD_PREFIX

@Nonnull @NotEmpty public static final String SAML1MD_PREFIX
SAML 1 Metadata extension namespace prefix.

See Also:
  - Constant Field Values

### SAML1_ARTIFACT_BINDING_URI

@Nonnull @NotEmpty public static final String SAML1_ARTIFACT_BINDING_URI
URI for SAML 1 Artifact binding.

See Also:
  - Constant Field Values

### SAML1_POST_BINDING_URI

@Nonnull @NotEmpty public static final String SAML1_POST_BINDING_URI
URI for SAML 1 POST binding.

See Also:
  - Constant Field Values

### SAML1_SOAP11_BINDING_URI

@Nonnull @NotEmpty public static final String SAML1_SOAP11_BINDING_URI
URI for SAML 1 SOAP 1.1 binding.

See Also:
  - Constant Field Values

### SAML20_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20_SCHEMA_LOCATION
SAML 2.0 Assertion schema Id.

See Also:
  - Constant Field Values

### STRICT_SAML20_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String STRICT_SAML20_SCHEMA_LOCATION
"Strict" SAML 2.0 Assertion schema Id.

See Also:
  - Constant Field Values

### SAML20_NS

@Nonnull @NotEmpty public static final String SAML20_NS
SAML 2.0 Assertion XML Namespace.

See Also:
  - Constant Field Values

### SAML20_PREFIX

@Nonnull @NotEmpty public static final String SAML20_PREFIX
SAML 2.0 Assertion QName prefix.

See Also:
  - Constant Field Values

### SAML20P_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20P_SCHEMA_LOCATION
SAML 2.0 Protocol schema Id.

See Also:
  - Constant Field Values

### STRICT_SAML20P_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String STRICT_SAML20P_SCHEMA_LOCATION
"Strict" SAML 2.0 Protocol schema Id.

See Also:
  - Constant Field Values

### SAML20P_NS

@Nonnull @NotEmpty public static final String SAML20P_NS
SAML 2.0 Protocol XML Namespace.

See Also:
  - Constant Field Values

### SAML20P_PREFIX

@Nonnull @NotEmpty public static final String SAML20P_PREFIX
SAML 2.0 Protocol QName prefix.

See Also:
  - Constant Field Values

### SAML20MD_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20MD_SCHEMA_LOCATION
SAML 2.0 Metadata schema Id.

See Also:
  - Constant Field Values

### STRICT_SAML20MD_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String STRICT_SAML20MD_SCHEMA_LOCATION
"Strict" SAML 2.0 Metadata schema Id.

See Also:
  - Constant Field Values

### SAML20MD_NS

@Nonnull @NotEmpty public static final String SAML20MD_NS
SAML 2.0 Metadata XML Namespace.

See Also:
  - Constant Field Values

### SAML20PTHRPTY_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20PTHRPTY_SCHEMA_LOCATION
SAML 2.0 Protocol Third-party extension schema Id.

See Also:
  - Constant Field Values

### SAML20PTHRPTY_NS

@Nonnull @NotEmpty public static final String SAML20PTHRPTY_NS
SAML 2.0 Protocol Third-party extension XML Namespace.

See Also:
  - Constant Field Values

### SAML20PTHRPTY_PREFIX

@Nonnull @NotEmpty public static final String SAML20PTHRPTY_PREFIX
SAML 2.0 Protocol Third-party extension QName prefix.

See Also:
  - Constant Field Values

### SAML20PASLO_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20PASLO_SCHEMA_LOCATION
SAML 2.0 Protocol Async Logout extension schema Id.

See Also:
  - Constant Field Values

### SAML20PASLO_NS

@Nonnull @NotEmpty public static final String SAML20PASLO_NS
SAML 2.0 Protocol Async Logout extension XML Namespace.

See Also:
  - Constant Field Values

### SAML20PASLO_PREFIX

@Nonnull @NotEmpty public static final String SAML20PASLO_PREFIX
SAML 2.0 Protocol Async Logout extension QName prefix.

See Also:
  - Constant Field Values

### SAML20PREQ_ATTR_NS

@Nonnull @NotEmpty public static final String SAML20PREQ_ATTR_NS
SAML SAML V2.0 "Protocol Extension For Requesting Attributes Per Request" namespace.

See Also:
  - Constant Field Values

### SAML20PREQ_ATTRR_PREFIX

@Nonnull @NotEmpty public static final String SAML20PREQ_ATTRR_PREFIX
SAML SAML V2.0 "Protocol Extension For Requesting Attributes Per Request" prefix.

See Also:
  - Constant Field Values

### SAML20MDQUERY_NS

@Nonnull @NotEmpty public static final String SAML20MDQUERY_NS
SAML 2.0 Standalone Query Metadata extension XML namespace.

See Also:
  - Constant Field Values

### SAML20MDQUERY_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20MDQUERY_SCHEMA_LOCATION
SAML 2.0 Standalone Query Metadata extension schema system Id.

See Also:
  - Constant Field Values

### STRICT_SAML20MDQUERY_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String STRICT_SAML20MDQUERY_SCHEMA_LOCATION
"Strict" SAML 2.0 Standalone Query Metadata extension schema system Id.

See Also:
  - Constant Field Values

### SAML20MDQUERY_PREFIX

@Nonnull @NotEmpty public static final String SAML20MDQUERY_PREFIX
SAML 2.0 Standalone Query Metadata extension prefix.

See Also:
  - Constant Field Values

### SAML20MD_PREFIX

@Nonnull @NotEmpty public static final String SAML20MD_PREFIX
SAML 2.0 Metadata QName prefix.

See Also:
  - Constant Field Values

### SAML20AC_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20AC_SCHEMA_LOCATION
SAML 2.0 Authentication Context schema Id.

See Also:
  - Constant Field Values

### SAML20AC_NS

@Nonnull @NotEmpty public static final String SAML20AC_NS
SAML 2.0 Authentication Context XML Namespace.

See Also:
  - Constant Field Values

### SAML20AC_PREFIX

@Nonnull @NotEmpty public static final String SAML20AC_PREFIX
SAML 2.0 Authentication Context QName prefix.

See Also:
  - Constant Field Values

### SAML20ECP_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20ECP_SCHEMA_LOCATION
SAML 2.0 Enhanced Client/Proxy SSO Profile schema Id.

See Also:
  - Constant Field Values

### STRICT_SAML20ECP_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String STRICT_SAML20ECP_SCHEMA_LOCATION
"Strict" SAML 2.0 Enhanced Client/Proxy SSO Profile schema Id.

See Also:
  - Constant Field Values

### SAML20ECP_NS

@Nonnull @NotEmpty public static final String SAML20ECP_NS
SAML 2.0 Enhanced Client/Proxy SSO Profile XML Namespace.

See Also:
  - Constant Field Values

### SAML20ECP_PREFIX

@Nonnull @NotEmpty public static final String SAML20ECP_PREFIX
SAML 2.0 Enhanced Client/Proxy SSO Profile QName prefix.

See Also:
  - Constant Field Values

### SAML20DEL_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20DEL_SCHEMA_LOCATION
SAML 2.0 Condition for Delegation Restriction schema Id.

See Also:
  - Constant Field Values

### SAML20DEL_NS

@Nonnull @NotEmpty public static final String SAML20DEL_NS
SAML 2.0 Condition for Delegation Restriction XML Namespace.

See Also:
  - Constant Field Values

### SAML20DEL_PREFIX

@Nonnull @NotEmpty public static final String SAML20DEL_PREFIX
SAML 2.0 Condition for Delegation Restriction QName prefix.

See Also:
  - Constant Field Values

### SAML20MDATTR_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20MDATTR_SCHEMA_LOCATION
SAML 2.0 Metadata Extension for Entity Attributes schema Id.

See Also:
  - Constant Field Values

### SAML20MDATTR_NS

@Nonnull @NotEmpty public static final String SAML20MDATTR_NS
SAML 2.0 Metadata Extension for Entity Attributes XML Namespace.

See Also:
  - Constant Field Values

### SAML20MDATTR_PREFIX

@Nonnull @NotEmpty public static final String SAML20MDATTR_PREFIX
SAML 2.0 Metadata Extension for Entity Attributes QName prefix.

See Also:
  - Constant Field Values

### SAML20MDUI_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20MDUI_SCHEMA_LOCATION
SAML 2.0 Metadata Extension for Discovery and Login UI schema Id.

See Also:
  - Constant Field Values

### STRICT_SAML20MDUI_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String STRICT_SAML20MDUI_SCHEMA_LOCATION
"Strict" SAML 2.0 Metadata Extension for Discovery and Login UI schema Id.

See Also:
  - Constant Field Values

### SAML20MDUI_NS

@Nonnull @NotEmpty public static final String SAML20MDUI_NS
SAML 2.0 Metadata Extension for Discovery and Login UI XML Namespace.

See Also:
  - Constant Field Values

### SAML20MDUI_PREFIX

@Nonnull @NotEmpty public static final String SAML20MDUI_PREFIX
SAML 2.0 Metadata Extension for Discovery and Login UI QName prefix.

See Also:
  - Constant Field Values

### SAML20MDRI_NS

@Nonnull @NotEmpty public static final String SAML20MDRI_NS
SAML 2.0 Metadata Extension for SSO Service Provider Request Initiation Namespace.

See Also:
  - Constant Field Values

### SAML20MDRI_PREFIX

@Nonnull @NotEmpty public static final String SAML20MDRI_PREFIX
SAML 2.0 Metadata Extension for SSO Service Provider Request Initiation QName prefix.

See Also:
  - Constant Field Values

### SAML20MDRPI_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20MDRPI_SCHEMA_LOCATION
SAML 2.0 Metadata Extension for Registration and Publication Information schema Id.

See Also:
  - Constant Field Values

### STRICT_SAML20MDRPI_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String STRICT_SAML20MDRPI_SCHEMA_LOCATION
"Strict" SAML 2.0 Metadata Extension for Registration and Publication Information schema Id.

See Also:
  - Constant Field Values

### SAML20MDRPI_NS

@Nonnull @NotEmpty public static final String SAML20MDRPI_NS
SAML 2.0 Metadata Extension for Registration and Publication Information XML Namespace.

See Also:
  - Constant Field Values

### SAML20MDRPI_PREFIX

@Nonnull @NotEmpty public static final String SAML20MDRPI_PREFIX
SAML 2.0 Metadata Extension for Registration and Publication Information QName prefix.

See Also:
  - Constant Field Values

### SAML20CB_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20CB_SCHEMA_LOCATION
SAML 2.0 Channel Binding Extensions schema Id.

See Also:
  - Constant Field Values

### SAML20CB_NS

@Nonnull @NotEmpty public static final String SAML20CB_NS
SAML 2.0 Channel Binding Extensions XML Namespace.

See Also:
  - Constant Field Values

### SAML20CB_PREFIX

@Nonnull @NotEmpty public static final String SAML20CB_PREFIX
SAML 2.0 Channel Binding Extensions QName prefix.

See Also:
  - Constant Field Values

### SAML20DCE_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20DCE_SCHEMA_LOCATION
SAML 2.0 DCE PAC Attribute Profile schema Id.

See Also:
  - Constant Field Values

### STRICT_SAML20DCE_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String STRICT_SAML20DCE_SCHEMA_LOCATION
"Strict" SAML 2.0 DCE PAC Attribute Profile schema Id.

See Also:
  - Constant Field Values

### SAML20DCE_NS

@Nonnull @NotEmpty public static final String SAML20DCE_NS
SAML 2.0 DCE PAC Attribute Profile XML Namespace.

See Also:
  - Constant Field Values

### SAML20DCE_PREFIX

@Nonnull @NotEmpty public static final String SAML20DCE_PREFIX
SAML 2.0 DCE PAC Attribute Profile QName prefix.

See Also:
  - Constant Field Values

### SAML20X500_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20X500_SCHEMA_LOCATION
SAML 2.0 X.500 Attribute Profile schema Id.

See Also:
  - Constant Field Values

### STRICT_SAML20X500_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String STRICT_SAML20X500_SCHEMA_LOCATION
"Strict" SAML 2.0 X.500 Attribute Profile schema Id.

See Also:
  - Constant Field Values

### SAML20X500_NS

@Nonnull @NotEmpty public static final String SAML20X500_NS
SAML 2.0 X.500 Attribute Profile XML Namespace.

See Also:
  - Constant Field Values

### SAML20X500_PREFIX

@Nonnull @NotEmpty public static final String SAML20X500_PREFIX
SAML 2.0 X.500 Attribute Profile QName prefix.

See Also:
  - Constant Field Values

### SAML20XACML_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20XACML_SCHEMA_LOCATION
SAML 2.0 XACML Attribute Profile schema Id.

See Also:
  - Constant Field Values

### STRICT_SAML20XACML_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String STRICT_SAML20XACML_SCHEMA_LOCATION
"Strict" SAML 2.0 XACML Attribute Profile schema Id.

See Also:
  - Constant Field Values

### SAML20XACML_NS

@Nonnull @NotEmpty public static final String SAML20XACML_NS
SAML 2.0 XACML Attribute Profile XML Namespace.

See Also:
  - Constant Field Values

### SAML20XACML_PREFIX

@Nonnull @NotEmpty public static final String SAML20XACML_PREFIX
SAML 2.0 XACML Attribute Profile QName prefix.

See Also:
  - Constant Field Values

### SAML_IDP_DISCO_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML_IDP_DISCO_SCHEMA_LOCATION
SAML Identity Provider Discovery Protocol and Profile XML Schema Id.

See Also:
  - Constant Field Values

### SAML_IDP_DISCO_NS

@Nonnull @NotEmpty public static final String SAML_IDP_DISCO_NS
SAML Identity Provider Discovery Protocol and Profile XML Namespace.

See Also:
  - Constant Field Values

### SAML_IDP_DISCO_PREFIX

@Nonnull @NotEmpty public static final String SAML_IDP_DISCO_PREFIX
SAML Identity Provider Discovery Protocol and Profile QName prefix.

See Also:
  - Constant Field Values

### SAMLEC_GSS_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAMLEC_GSS_SCHEMA_LOCATION
SAML 2.0 Enhanced Client GSS-API schema Id.

See Also:
  - Constant Field Values

### SAMLEC_GSS_NS

@Nonnull @NotEmpty public static final String SAMLEC_GSS_NS
SAML 2.0 Enhanced Client GSS-API XML Namespace.

See Also:
  - Constant Field Values

### SAMLEC_GSS_PREFIX

@Nonnull @NotEmpty public static final String SAMLEC_GSS_PREFIX
SAML 2.0 Enhanced Client GSS-API QName prefix.

See Also:
  - Constant Field Values

### SAML2_ARTIFACT_BINDING_URI

@Nonnull @NotEmpty public static final String SAML2_ARTIFACT_BINDING_URI
URI for SAML 2 Artifact binding.

See Also:
  - Constant Field Values

### SAML2_POST_BINDING_URI

@Nonnull @NotEmpty public static final String SAML2_POST_BINDING_URI
URI for SAML 2 POST binding.

See Also:
  - Constant Field Values

### SAML2_POST_SIMPLE_SIGN_BINDING_URI

@Nonnull @NotEmpty public static final String SAML2_POST_SIMPLE_SIGN_BINDING_URI
URI for SAML 2 POST-SimpleSign binding.

See Also:
  - Constant Field Values

### SAML2_REDIRECT_BINDING_URI

@Nonnull @NotEmpty public static final String SAML2_REDIRECT_BINDING_URI
URI for SAML 2 HTTP redirect binding.

See Also:
  - Constant Field Values

### SAML2_SOAP11_BINDING_URI

@Nonnull @NotEmpty public static final String SAML2_SOAP11_BINDING_URI
URI for SAML 2 SOAP binding.

See Also:
  - Constant Field Values

### SAML2_PAOS_BINDING_URI

@Nonnull @NotEmpty public static final String SAML2_PAOS_BINDING_URI
URI for SAML 2 PAOS binding.

See Also:
  - Constant Field Values

### SAML20ALG_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String SAML20ALG_SCHEMA_LOCATION
SAML 2.0 Metadata Profile for Algorithm Support schema Id.

See Also:
  - Constant Field Values

### STRICT_SAML20ALG_SCHEMA_LOCATION

@Nonnull @NotEmpty public static final String STRICT_SAML20ALG_SCHEMA_LOCATION
"Strict" SAML 2.0 Metadata Profile for Algorithm Support schema Id.

See Also:
  - Constant Field Values

### SAML20ALG_NS

@Nonnull @NotEmpty public static final String SAML20ALG_NS
SAML 2.0 Metadata Profile for Algorithm Support Namespace.

See Also:
  - Constant Field Values

### SAML20ALG_PREFIX

@Nonnull @NotEmpty public static final String SAML20ALG_PREFIX
SAML 2.0 Metadata Profile for Algorithm Support QName prefix.

See Also:
  - Constant Field Values

### SAML2_BINDING_URL_ENCODING_DEFLATE_URI

@Nonnull @NotEmpty public static final String SAML2_BINDING_URL_ENCODING_DEFLATE_URI
URI for SAML 2 binding URL encoding DEFLATE method.

See Also:
  - Constant Field Values

## Constructor Details

### SAMLConstants

private SAMLConstants()
Constructor.